## org.eclipse.emf.mapping.util
Class MappingAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.emf.mapping.util.MappingAdapterFactory

All Implemented Interfaces:
  AdapterFactory

Direct Known Subclasses:
  MappingItemProviderAdapterFactory

    public class MappingAdapterFactory

extends AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `MappingPackage`

Field Summary
`protected static MappingPackage` `modelPackage` The cached model package
`protected MappingSwitch<Adapter>` `modelSwitch` The switch that delegates to the `createXXX` methods

Constructor Summary
`MappingAdapterFactory()` Creates an instance of the adapter factory

Method Summary
`Adapter` `createAdapter(Notifier target)` Creates an adapter for the `target`
`Adapter` `createComplexTypeConverterAdapter()` Creates a new adapter for an object of class '`Complex Type Converter`'
`Adapter` `createEObjectAdapter()` Creates a new adapter for the default case
`Adapter` `createFunctionNamePairAdapter()` Creates a new adapter for an object of class '`Function Name Pair`'
`Adapter` `createFunctionPairAdapter()` Creates a new adapter for an object of class '`Function Pair`'
`Adapter` `createMappingAdapter()` Creates a new adapter for an object of class '`Mapping`'
`Adapter` `createMappingHelperAdapter()` Creates a new adapter for an object of class '`Helper`'
`Adapter` `createMappingRootAdapter()` Creates a new adapter for an object of class '`Root`'
`Adapter` `createMappingStrategyAdapter()` Creates a new adapter for an object of class '`Strategy`'
`Adapter` `createTypeConverterAdapter()` Creates a new adapter for an object of class '`Type Converter`'
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static MappingPackage modelPackage

  The cached model package.

### modelSwitch

    protected MappingSwitch<Adapter> modelSwitch

  The switch that delegates to the `createXXX` methods.

Constructor Detail

### MappingAdapterFactory

    public MappingAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `AdapterFactory`
  Overrides:
    `isFactoryForType` in class `AdapterFactoryImpl`
  Parameters:
    `object` - the key indicating the type of adapter in question.
  Returns:
    whether this factory is applicable for the type of the object.
  See Also:
    `Adapter.isAdapterForType(java.lang.Object)`

### createAdapter

    public Adapter createAdapter(Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.
  See Also:
    `AdapterFactoryImpl.createAdapter(Notifier)`

### createMappingHelperAdapter

    public Adapter createMappingHelperAdapter()

  Creates a new adapter for an object of class '`Helper`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MappingHelper`

### createMappingAdapter

    public Adapter createMappingAdapter()

  Creates a new adapter for an object of class '`Mapping`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Mapping`

### createTypeConverterAdapter

    public Adapter createTypeConverterAdapter()

  Creates a new adapter for an object of class '`Type Converter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypeConverter`

### createFunctionPairAdapter

    public Adapter createFunctionPairAdapter()

  Creates a new adapter for an object of class '`Function Pair`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FunctionPair`

### createFunctionNamePairAdapter

    public Adapter createFunctionNamePairAdapter()

  Creates a new adapter for an object of class '`Function Name Pair`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FunctionNamePair`

### createMappingStrategyAdapter

    public Adapter createMappingStrategyAdapter()

  Creates a new adapter for an object of class '`Strategy`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MappingStrategy`

### createMappingRootAdapter

    public Adapter createMappingRootAdapter()

  Creates a new adapter for an object of class '`Root`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MappingRoot`

### createComplexTypeConverterAdapter

    public Adapter createComplexTypeConverterAdapter()

  Creates a new adapter for an object of class '`Complex Type Converter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ComplexTypeConverter`

### createEObjectAdapter

    public Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.